Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.express.mdm
Class MdmDimensionMemberType

    java.lang.Object
      |
      +--oracle.express.mdm.MdmDimensionMemberType

Direct Known Subclasses:
  MdmMeasureMemberType, MdmStandardMemberType, MdmTimeMemberType

Deprecated. As of Oracle9i, Release 2 (9.2.0.3), no replacement.

public abstract class MdmDimensionMemberType
extends java.lang.Object

Constructor Summary
`MdmDimensionMemberType()` Deprecated.

Method Summary
`abstract java.lang.Object` | `acceptVisitor(MdmDimensionMemberTypeVisitor visitor, java.lang.Object context)` Deprecated. As of Oracle9i, Release 2 (9.2.0.3), no replacement.
`protected MdmAttribute` | `convert(MdmAttribute newAttribute)` Deprecated.
`MdmDimension` | `getDimension()` Deprecated. As of Oracle9i, Release 2 (9.2.0.3), no replacement.
`protected MdmPrimaryDimension` | `getNewMdmPrimaryDimension()` Deprecated.
`MdmAttribute` | `getShortValueDescription()` Deprecated. As of Oracle9i, Release 2 (9.2.0.3), no replacement.
`MdmAttribute` | `getValueDescription()` Deprecated. As of Oracle9i, Release 2 (9.2.0.3), no replacement.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MdmDimensionMemberType

    public MdmDimensionMemberType()

  Deprecated.

Method Detail

### acceptVisitor

    public abstract java.lang.Object acceptVisitor(MdmDimensionMemberTypeVisitor visitor,
                                                   java.lang.Object context)

  Deprecated. As of Oracle9i, Release 2 (9.2.0.3), no replacement.

### getDimension

    public final MdmDimension getDimension()

  Deprecated. As of Oracle9i, Release 2 (9.2.0.3), no replacement.

### getShortValueDescription

    public final MdmAttribute getShortValueDescription()
                                                throws MetadataNotFoundException

  Deprecated. As of Oracle9i, Release 2 (9.2.0.3), no replacement.

### getValueDescription

    public final MdmAttribute getValueDescription()
                                           throws MetadataNotFoundException

  Deprecated. As of Oracle9i, Release 2 (9.2.0.3), no replacement.

### getNewMdmPrimaryDimension

    protected final MdmPrimaryDimension getNewMdmPrimaryDimension()

  Deprecated.

### convert

    protected final MdmAttribute convert(MdmAttribute newAttribute)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.